Jump to: navigation, search

Difference between revisions of "Eclipse Automotive Tool Platform for Indigo (Eclipse 3.7)"

(New page: Return to Auto_IWG_WP1)
 
(15 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
Return to [[Auto_IWG_WP1]]
 
Return to [[Auto_IWG_WP1]]
 +
 +
<!-- {{message|{{#if:{{{1|}}}|'''{{{1}}}'''<BR>}}'''CAUTION:''' This version of the Eclipse Automotive Tool Platform is deprecated. It is made available here for reference only and should no longer be actively used. Refer to [[Auto_IWG_WP1]] to find the current version of the Eclipse Automotive Tool Platform.{{#if:{{{2|}}}|{{{2}}}}}|image=Stop.png}}
 +
-->
 +
 +
The Eclipse Automotive Tool Platform for the [http://wiki.eclipse.org/Indigo Indigo (Eclipse 3.7)] release stream has been made available only in the form of a target platform definition provided at [http://code.google.com/a/eclipselabs.org/p/eclipse-auto-iwg/downloads/list EclipseLabs.org] but not yet as Eclipse package. It contains the components that are listed in the table below.
 +
 +
{| class="wikitable" border="1"
 +
|-
 +
! Category
 +
! Name
 +
! align="center"| Version
 +
! align="center"| Status
 +
! align="center"| Included in Eclipse package
 +
! align="center"| Included in target platform
 +
! Comment
 +
|-
 +
| rowspan="3"| '''Eclipse''' 
 +
| [http://www.eclipse.org/projects/project.php?id=eclipse Eclipse SDK]
 +
| align="center"| 3.7
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| Eclipse Product Configuration
 +
| align="center"| 1.0
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
| Required for building products
 +
|-
 +
| Eclipse Platform Launchers
 +
| align="center"| 3.5
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
| Required for building products with custom native launchers
 +
|-
 +
| rowspan="13"|'''Modeling components'''
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.emf Eclipse Modeling Framework (EMF) SDK]
 +
| align="center"| 2.7
 +
| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.emf.transaction EMF Model Transaction SDK]
 +
| align="center"| 1.5
 +
| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.emf.validation EMF Validation Framework SDK]
 +
| align="center"| 1.5
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.emf.compare EMF Compare SDK]
 +
| align="center"| 1.2
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.gmp.gmf-notation GMF Notation SDK]
 +
| align="center"| 1.5
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.gmp.gmf-runtime GMF Runtime SDK]
 +
| align="center"| 1.5
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.gmp.graphiti Graphiti SDK]
 +
| align="center"| 0.8.2
 +
| align="center"| INCUBATING
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/modeling/emft/?project=mwe Modeling Workflow Engine SDK]
 +
| align="center"| 1.2
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
| Taken from Juno release stream to ensure compatibility with Xpand 1.2.1
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.m2t.xpand Xpand SDK]
 +
| align="center"| 1.2
 +
| align="center"| DEPRECATED
 +
| align="center"| X
 +
| align="center"| X
 +
| Taken from Juno release stream to ensure compatibility with Sphinx 0.7.0. New projects should use Xtend. XPand is not maintained anymore actively!
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.tmf.xtext Xtext SDK]
 +
| align="center"| 2.3
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
| Taken from Juno release stream to ensure compatibility with Xpand 1.2.1
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.mdt.sphinx Sphinx SDK]
 +
| align="center"| 0.7.0
 +
| align="center"| RECOMMENDED
 +
| align="center"| -
 +
| align="center"| X
 +
| Not included in Eclipse package because not yet part of simultaneous release train
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.mdt.uml2 UML2 SDK]
 +
| align="center"| 3.2
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=modeling.mdt.xsd XSD - XML Schema Definition SDK]
 +
| align="center"| 2.7
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| rowspan="1"|'''Automotive components'''
 +
| [http://www.artop.org Artop SDK]
 +
| align="center"| 3.3.2
 +
| align="center"| RECOMMENDED
 +
| align="center"| -
 +
| align="center"| X
 +
| Not included in Eclipse package because not EPL licensed
 +
|-
 +
| rowspan="4"|'''Tool components'''
 +
| [http://www.eclipse.org/projects/project.php?id=tools.cdt C/C++ Development Tools (CDT) SDK]
 +
| align="center"| 8.0
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/Xtext/#xtend2 Xtend SDK]
 +
| align="center"| 2.3
 +
| align="center"| INCUBATING
 +
| align="center"| X
 +
| align="center"| X
 +
| Taken from Juno release stream to ensure compatibility with Xpand 1.2.1. XTend still has provisional interfaces therefore it is not fit to be in state RECOMMENDED.
 +
|-
 +
| [http://www.eclipse.org/projects/project.php?id=tools.gef Graphical Editing Framework (GEF) SDK]
 +
| align="center"| 3.7
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| [http://www.eclipse.org/webtools/wst/components/xml/overview.html XML Editors and Tools]
 +
| align="center"| 3.3
 +
| align="center"| RECOMMENDED
 +
| align="center"| X
 +
| align="center"| X
 +
|
 +
|-
 +
| rowspan="1"|'''Technology components'''
 +
| [http://www.eclipse.org/projects/project.php?id=technology.nebula Nebula Widgets]
 +
| align="center"| 1.0.0
 +
| align="center"| RECOMMENDED
 +
| align="center"| -
 +
| align="center"| X
 +
| Not included in Eclipse package because not yet part of simultaneous release train
 +
|-
 +
|}

Revision as of 11:18, 7 March 2013

Return to Auto_IWG_WP1


The Eclipse Automotive Tool Platform for the Indigo (Eclipse 3.7) release stream has been made available only in the form of a target platform definition provided at EclipseLabs.org but not yet as Eclipse package. It contains the components that are listed in the table below.

Category Name Version Status Included in Eclipse package Included in target platform Comment
Eclipse Eclipse SDK 3.7 RECOMMENDED X X
Eclipse Product Configuration 1.0 RECOMMENDED X X Required for building products
Eclipse Platform Launchers 3.5 RECOMMENDED X X Required for building products with custom native launchers
Modeling components Eclipse Modeling Framework (EMF) SDK 2.7 RECOMMENDED X X
EMF Model Transaction SDK 1.5 RECOMMENDED X X
EMF Validation Framework SDK 1.5 RECOMMENDED X X
EMF Compare SDK 1.2 RECOMMENDED X X
GMF Notation SDK 1.5 RECOMMENDED X X
GMF Runtime SDK 1.5 RECOMMENDED X X
Graphiti SDK 0.8.2 INCUBATING X X
Modeling Workflow Engine SDK 1.2 RECOMMENDED X X Taken from Juno release stream to ensure compatibility with Xpand 1.2.1
Xpand SDK 1.2 DEPRECATED X X Taken from Juno release stream to ensure compatibility with Sphinx 0.7.0. New projects should use Xtend. XPand is not maintained anymore actively!
Xtext SDK 2.3 RECOMMENDED X X Taken from Juno release stream to ensure compatibility with Xpand 1.2.1
Sphinx SDK 0.7.0 RECOMMENDED - X Not included in Eclipse package because not yet part of simultaneous release train
UML2 SDK 3.2 RECOMMENDED X X
XSD - XML Schema Definition SDK 2.7 RECOMMENDED X X
Automotive components Artop SDK 3.3.2 RECOMMENDED - X Not included in Eclipse package because not EPL licensed
Tool components C/C++ Development Tools (CDT) SDK 8.0 RECOMMENDED X X
Xtend SDK 2.3 INCUBATING X X Taken from Juno release stream to ensure compatibility with Xpand 1.2.1. XTend still has provisional interfaces therefore it is not fit to be in state RECOMMENDED.
Graphical Editing Framework (GEF) SDK 3.7 RECOMMENDED X X
XML Editors and Tools 3.3 RECOMMENDED X X
Technology components Nebula Widgets 1.0.0 RECOMMENDED - X Not included in Eclipse package because not yet part of simultaneous release train